name: Run tests

on:
  push:
    branches:
      - master

jobs:
  Run tests:
    runs-on: docker
    container:
      image: lisyarus/psemek:test-runner
    steps:
      - name: Checkout
        uses: actions/checkout@v4
        with:
          submodules: recursive

      - name: Configure
        run: |
          mkdir build && cd build
          cmake .. -DCMAKE_BUILD_TYPE=Release -DPSEMEK_BUILD_TESTS=ON -DCMAKE_PREFIX_PATH="/home/sdl2/install"

      - name: Build
        run: |
          cd build
          cmake --build . -j4

      - name: Run tests
        run: |
          ./build/tools/test/psemek-run-tests
